Summary:	UML 2 tool box to specify and generate code in C++, Java, IDL, PHP and Python
Name:		douml
Version:	1.0.8
Release:	%mkrel 7
License:	GPLv3
Group:		Development/Other
URL:		https://github.com/DoUML/douml
#https://github.com/DoUML/douml/archive/master.zip
Source0:	https://github.com/DoUML/douml/archive/v%{version}/%{name}-%{version}.tar.gz
#https://github.com/DoUML/douml/issues/81
Patch0:		%{name}-1.0-mga-doc-path-fix.patch
#https://github.com/DoUML/douml/issues/83
Patch1:		%{name}-1.0-mga-override-transition.patch
#https://github.com/DoUML/douml/issues/125
Patch2:		%{name}-1.0-mga-i18n-desktop.patch
#https://github.com/DoUML/douml/issues/126
Patch3:		%{name}-1.0-mga-exec-desktop.patch
Patch4:		%{name}-1.0-mga-categories.patch
Patch5:		%{name}-1.0.8-mga-documentation.patch
Patch6:		%{name}-1.0.8-gcc7.patch
Patch7:		%{name}-1.0.8-fix-build-against-qt-5.11.0.patch
BuildRequires:	gcc-c++
BuildRequires:	boost-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)

Requires:	xdg-utils
Recommends:	bouml-doc
Provides:	bouml = %{version}

%description
DoUML is a free Unified Modeling Language (UML 2) tool box allowing you
to specify and generate code in C++, Java, Idl, Php and Python.
You can use it to create nearly all of UML diagrams.
DoUML can generate code from those diagrams in
C++, Java, IDL, PHP and Python, and can also reverse existing code.

The program supports class diagrams, sequence diagrams, collaboration diagrams,
object diagrams, use case diagrams, component diagrams, state diagrams,
activity diagrams, component diagrams and deployment diagrams.

%prep
%setup -q
%autopatch -p1

%build
%make_build DOUML_LIB=%{_libdir}/%{name} QMAKE=%{_qt5_bindir}/qmake

%install
%make_install DOUML_LIB=%{_libdir}/%{name}
#disable warning when starting
touch %{buildroot}%{_libdir}/%{name}/override_transition.txt

%files
%doc README.*
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/48x48/apps/%{name}.png
%{_iconsdir}/hicolor/64x64/apps/%{name}.png
%{_datadir}/pixmaps/%{name}.png


%changelog
* Sun Apr 03 2022 umeabot <umeabot> 1.0.8-7.mga9
+ Revision: 1842030
- Mageia 9 Mass Rebuild

* Wed Dec 16 2020 umeabot <umeabot> 1.0.8-6.mga8
+ Revision: 1658328
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.0.8-5.mga8
+ Revision: 1524556
- Mageia 8 Mass Rebuild

* Sat Mar 30 2019 umeabot <umeabot> 1.0.8-4.mga7
+ Revision: 1381567
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.0.8-3.mga7
+ Revision: 1297493
- Mageia 7 Mass Rebuild

* Fri Jun 01 2018 daviddavid <daviddavid> 1.0.8-2.mga7
+ Revision: 1233472
- fix mga-documentation patch

* Fri Jun 01 2018 daviddavid <daviddavid> 1.0.8-1.mga7
+ Revision: 1233427
- add patch to fix build with new Qt5 >= 5.11.0
+ kekepower <kekepower>
- Update to version 1.0.8
- Rediffed patches

* Fri Sep 29 2017 cjw <cjw> 1.0-0.git20151010.7.mga7
+ Revision: 1161402
- patch6: fix build with gcc 7

* Sun Feb 14 2016 umeabot <umeabot> 1.0-0.git20151010.6.mga6
+ Revision: 959848
- Mageia 6 Mass Rebuild

* Thu Nov 05 2015 alexl <alexl> 1.0-0.git20151010.5.mga6
+ Revision: 897986
- git snapshot since 20151010
- s/makeinstall_std/make_install/

* Sat Jul 04 2015 alexl <alexl> 1.0-0.git20150704.4.mga6
+ Revision: 849894
- git snapshot since 20150704
- switch to qt5
- add info about bouml-doc pkg

* Sat Nov 29 2014 alexl <alexl> 1.0-0.git20140529.3.mga5
+ Revision: 799872
- corrected Categories in desktop file

* Wed Oct 15 2014 umeabot <umeabot> 1.0-0.git20140529.2.mga5
+ Revision: 745079
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 alexl <alexl> 1.0-0.git20140529.1.mga5
+ Revision: 695811
- the latest snapshot from git
- moved patches, which were applied by author
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Fri Aug 01 2014 alexl <alexl> 1.0-0.git20140201.4.mga5
+ Revision: 659007
- fixed Exec for desktop file (exec-desktop.patch)

* Thu Jul 31 2014 alexl <alexl> 1.0-0.git20140201.3.mga5
+ Revision: 658789
- translated desktop file (i18n-desktop.patch)

* Wed Jul 23 2014 alexl <alexl> 1.0-0.git20140201.2.mga5
+ Revision: 655944
- fixed upstream bug with finding override_transition.txt and disabled warning when starting

* Thu May 22 2014 alexl <alexl> 1.0-0.git20140201.1.mga5
+ Revision: 624836
- add gcc4.9.patch
- enable parallel build
- imported package douml

